Bug 90989 - Can't set screen scaling modes for external monitors.
Summary: Can't set screen scaling modes for external monitors.
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: low enhancement
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-16 09:02 UTC by Madper Xie
Modified: 2018-08-11 03:47 UTC (History)
4 users (show)

See Also:
i915 platform: ALL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Madper Xie 2015-06-16 09:02:14 UTC
Currently, it is possible to set scaling mode for a monitor only if the monitor is internal (LVDS, eDP). This is done through xrandr:

$ xrandr --prop
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 8192 x 8192
LVDS1 connected primary 1680x1050+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
<snip>
	scaling mode: Full aspect 
		supported: None, Full, Center, Full aspect
<snip>

$ xrandr --output LVDS1 --set "scaling mode" "Center"

However, it is not possible to do this for external panels (VGA, DVI, HDMI, DP). The "scaling mode" property is not exported for these panels. There are many use cases for it, mainly related to gaming. Also some medical software like electrocardiogram monitor can't be stretched.

The function is implemented on radeon drivers already.
(I simply copied the above description from bug: 80868)
Comment 1 XiongZhang 2015-07-03 14:22:27 UTC
Could somebody kind introduce the story why only LVDS and eDP have "scaling mode" property ? 
From the driver, "scaling mode" will set pipe's PF_POS and PF_WIN, all pipes have this function, so I think all connectors maybe could have "scaling mode" property.
Comment 2 Chris Wilson 2015-07-03 15:30:33 UTC
Historically, only the LVDS supported panel fitters. Flexible scalers that could be attach to any pipe were introduced with Ironlake, but nobody has written the code to apply them to anything other than LVDS/eDP (not even DSI!).
Comment 3 XiongZhang 2015-07-15 09:07:30 UTC
hi, Chris:
   Could your team write the code to implement this ? One customer want to use this.
Comment 4 Jani Nikula 2015-07-27 08:24:42 UTC
(In reply to XiongZhang from comment #3)
> hi, Chris:
>    Could your team write the code to implement this ? One customer want to
> use this.

Feature requests like this need to come through proper internal channels.
Comment 5 Timo Aaltonen 2016-10-21 08:03:55 UTC
Over a year later this is still unimplemented. This was proposed last year

https://lists.freedesktop.org/archives/intel-gfx/2015-August/073277.html

but it died during review. Could it be reimplemented in any way that's acceptable upstream?
Comment 6 Elizabeth 2017-07-28 22:19:37 UTC
(In reply to Jani Nikula from comment #4)
> (In reply to XiongZhang from comment #3)
(In reply to Timo Aaltonen from comment #5)
> Over a year later this is still unimplemented. This was proposed last year
> 
> https://lists.freedesktop.org/archives/intel-gfx/2015-August/073277.html
> 
> but it died during review. Could it be reimplemented in any way that's
> acceptable upstream?
Hello Jani, Timo,
It's been a while since any update was made on this case. If this was followed up internally or discarded, could this bug be closed already? 
Thank you.
Comment 7 Jani Saarinen 2018-03-29 07:11:01 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 8 Jani Saarinen 2018-04-20 11:18:54 UTC
Closing, please re-open if still occurs.
Comment 9 aryanso 2018-08-11 03:47:15 UTC
Hi, I would still like to see this functionality implemented.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.